Passenger Error after Rerdmine upgrade 5.1.4 > 6.0.3

2025-02-25 04:08 - f0x Autumn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.0.3

Description

Passenger Error after Redmine upgrade 5.1.4 > 6.0.3

log:

[ E 2025-02-25 05:51:10.8887 1303/T1l age/Cor/App/Implementation.cpp:221 ]: Could not spawn proces

s for application /var/www/redmine: The application encountered the following error: uninitialized

 constant Redmine::WikiFormatting::Markdown::Redcarpet

      class HTML < Redcarpet::Render::HTML

                   ^^^^^^^^^ (NameError)

 Ruby 3.1

Rails 7.2

no plugins installed

help is needed...

History

#1 - 2025-03-01 06:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Since Redmine 6.0.0, Redmine no longer includes any code that contains the string class HTML < Redcarpet::Render::HTML. The old library,

Redcarpet, which was used for processing Markdown, was removed in Redmine 6.0.0 (see #40149).

If you are still encountering this error, it is possible that your Redmine 6.0.3 installation contains leftover code from Redmine 5.1, such as

lib/redmine/wiki_formatting/markdown/formatter.rb.

#2 - 2025-03-01 13:15 - f0x Autumn

Yes, perhaps I somehow incorrectly removed plugins before updating Redmine.

I'll try again...
